
export const char_section = '§';

export class SectionIds {
	public current: number[] = [ ];
	public contents: { id: string, label: string }[] = [ ];

	constructor(
		public prefix = ''
	) { }

	public next(depth: number, label: string) {
		while (depth > this.current.length) {
			this.current.push(0);
		}

		this.current.length = depth;
		this.current[depth - 1]++;
		
		const sec = this.current.join('.');
		const id = this.prefix + sec;
		this.contents.push({ id, label });
		return { id, sec };
	}
}
